Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoSFTime Class Reference
[Field classes]

The SoSFTime class is a container for an SbTime value. More...

`#include <Inventor/fields/SoSFTime.h>`

Inheritance diagram for SoSFTime:

List of all members.

## Static Public Methods
void | initClass (void)

## Detailed Description

The SoSFTime class is a container for an SbTime value.

This field is used where nodes, engines or other field containers needs to store a single time representation.

A field of this type stores its value to file as a floating point number.

See also:
  SoMFTime

## Member Function Documentation

void SoSFTime::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoSField.

The documentation for this class was generated from the following files:

- SoSFTime.h
- SoSFTime.cpp